div.stars {
    display: inline-block
}

input.star {
    display: none
}

label.star {
    float: right;
    padding: 10px;
    font-size: 36px;
    color: #d70000;
    transition: all .2s
}

input.star:checked~label.star:before {
    content: '\f005';
    color: #d70000;
    transition: all .25s
}

input.star-5:checked~label.star:before {
    color: #d70000;
    text-shadow: 0 0 23px #d70000;
}

input.star-1:checked~label.star:before {
    color: #d70000;
}

label.star:hover {
    transform: rotate(-15deg) scale(1.3)
}

label.star:before {
    content: '\f006';
    font-family: FontAwesome
}